Index: trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- trunk/libIGCM/AA_TimeSeries_Checker	(revision 285)
+++ trunk/libIGCM/AA_TimeSeries_Checker	(revision 286)
@@ -230,12 +230,12 @@
 			    SuccessRate=$(( countGood * 100 / countTotal ))
 			    if [ ! ${SuccessRate} = 100 ] ; then
-				IGCM_debug_Print 2 "\033[1;31m${SuccessRate}% files OK.\033[m for period ${ChunckDebut}-${ChunckFin}"
+				IGCM_debug_Print 2 -e "\033[1;31m${SuccessRate}% files OK.\033[m for period ${ChunckDebut}-${ChunckFin}"
 			    else
-				IGCM_debug_Print 2 "\033[1;32m${SuccessRate}% files OK.\033[m for period ${ChunckDebut}-${ChunckFin}"
+				IGCM_debug_Print 2 -e "\033[1;32m${SuccessRate}% files OK.\033[m for period ${ChunckDebut}-${ChunckFin}"
 			    fi
 
 			    echo
 			    if ( [ ${chunck} = true ] && [ ! ${SuccessRate} = 100 ] ) ; then
-				IGCM_debug_Print 2 "\033[1;31mSubmit ${FILE} chunck ${Dimension}\033[m period ${ChunckDebut}-${ChunckFin}"
+				IGCM_debug_Print 2 -e "\033[1;31mSubmit ${FILE} chunck ${Dimension}\033[m period ${ChunckDebut}-${ChunckFin}"
 				listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,TsTask,CompToRead,FlagToRead"
 				export libIGCM=${libIGCM}
@@ -288,5 +288,5 @@
 
 if [ X${Launch2D} = Xtrue ] ; then
-    IGCM_debug_Print 2 "\033[1;31mSubmit 2D\033[m without chunck period ${DateBegin}-${DateEnd}"
+    IGCM_debug_Print 2 -e "\033[1;31mSubmit 2D\033[m without chunck period ${DateBegin}-${DateEnd}"
     listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,TsTask"
     export libIGCM=${libIGCM}
@@ -304,5 +304,5 @@
 
 if [ X${Launch3D} = Xtrue ] ; then
-    IGCM_debug_Print 2 "\033[1;31mSubmit 3D\033[m without chunck period ${DateBegin}-${DateEnd}"
+    IGCM_debug_Print 2 -e "\033[1;31mSubmit 3D\033[m without chunck period ${DateBegin}-${DateEnd}"
     listVarEnv="libIGCM,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,TsTask"
     export libIGCM=${libIGCM}
Index: trunk/libIGCM/AA_clean_month
===================================================================
--- trunk/libIGCM/AA_clean_month	(revision 285)
+++ trunk/libIGCM/AA_clean_month	(revision 286)
@@ -91,11 +91,16 @@
 
     PeriodDateEnd=$( IGCM_date_ConvertFormatToGregorian ${run_Configuration_PeriodDateEnd} )
-    CountListFiles=$( IGCM_sys_RshArchive "find ${R_SAVE} -name \"*${PeriodDateEnd}*\"" | wc -l)
-    IGCM_sys_RshArchive "find ${R_SAVE} -name \"*${PeriodDateEnd}*\" -ls"
+    echo "Search files with ${PeriodDateEnd} in ${R_SAVE}"
+    set +A ListFiles -- $( IGCM_sys_RshArchive "find ${R_SAVE} -name \"*${PeriodDateEnd}*\" " )
+    CountListFiles=${#ListFiles[@]}
 
-    echo "Number of files to be erased : ${CountListFiles}."
+    IGCM_debug_Print 1 "Number of files to be erased : ${CountListFiles}."
     if [ ${CountListFiles} -gt 0 ] ; then 
-	echo "Do you REALLY want to erase all those files ?"
-	echo -n " Your answer (y/n) : "
+	for file in ${ListFiles[@]} ; do
+	    IGCM_debug_Print 2 -e "\033[1;31m ${file}\033[m"
+	done
+
+	echo "\033[1;32mDo you REALLY want to erase all those files ?"
+	echo -n " Your answer (y/n) : \033[m"
 	read reponse
 	case ${reponse} in
@@ -114,6 +119,6 @@
     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
     if ( [ ${run_Configuration_PeriodState} != "Running" ] && [ ${run_Configuration_PeriodState} != "OnQueue" ] && [ ${run_Configuration_PeriodState} != "Continue" ] ) ; then
-	echo "NOW do you to run again (clean run.card) ?"
-	echo -n " Your answer (y/n) : "
+	echo -e "\033[1;32mNOW do you to run again (clean run.card) ?"
+	echo -n -e " Your answer (y/n) : \033[m"
 	read reponse
 	case ${reponse} in
Index: trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 285)
+++ trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 286)
@@ -237,15 +237,22 @@
     shift
 
+    if [ X"${1}" = X"-e" ]; then
+	typeset cmd_echo="echo -e"
+	shift
+    else
+	typeset cmd_echo="echo"
+    fi
+
     if [ ${level} -le ${Verbosity} ] ; then
 	typeset i
 	case "${level}" in
 	    1) for i in "$@" ; do
-		    echo -e "--Debug1-->" ${i}
+		    ${cmd_echo} "--Debug1-->" ${i}
 	      done ;; 
 	    2) for i in "$@" ; do
-		    echo -e "--------Debug2-->" ${i}
+		    ${cmd_echo} "--------Debug2-->" ${i}
 	      done ;; 
 	    3) for i in "$@" ; do
-		    echo -e "--------------Debug3-->" ${i}
+		    ${cmd_echo} "--------------Debug3-->" ${i}
 	      done ;; 
 	esac