Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 305)
@@ -81,6 +81,6 @@
 
 #====================================================
-# Source Ferret
-. /usr/local/ferret/ferret_paths_ksh
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 . /home/brocksce/.atlas_env_calcul_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 305)
@@ -83,34 +83,12 @@
 
 #====================================================
-# Source and load what we need
+# Source default environment
 #====================================================
 . /etc/profile
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
 #====================================================
 . /home/cont003/p86ipsl/.atlas_env_cesium_ksh
-
-#====================================================
-# NCO netCDF3
-#====================================================
-module load netcdf/3.6.3
-module load antlr/2.7.7
-module load dap++/3.8.2
-module load gsl/1.12
-module load hdf5/1.8.2
-module load udunits/2.1.5
-module load nc-dap/3.7.3
-module load nco/3.9.8_netcdf3
-
-#------------------------------------------------------
-# CDO netCDF3
-#------------------------------------------------------
-module load cdo/1.3.2
-
-#------------------------------------------------------
-# CDAT
-#------------------------------------------------------
-module load cdat/5.1.0
 
 #====================================================
@@ -1374,4 +1352,19 @@
 }
 
+##############################################################
+# CDO OPERATOR
+
+function IGCM_sys_cdo {
+    IGCM_debug_PushStack "IGCM_sys_cdo" -- $@
+
+    \cdo $@
+    if [ $? -gt 0 ] ; then
+       echo "IGCM_sys_cdo : erreur ${@}."
+#       IGCM_debug_Exit "cdo"
+    fi
+
+    IGCM_debug_PopStack "IGCM_sys_cdo"
+}
+
 ############################################################
 # Activate Running Environnment Variables
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 305)
@@ -83,12 +83,7 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 #. /home/${LOGIN}/.atlas_env_${HOST}_ksh
-export FER_ATLAS /usr/local/atlas
-export FER_GO "$FER_GO $FER_ATLAS"
-export FER_DATA "$FER_DATA $FER_ATLAS"
-export FER_PALETTE "$FER_PALETTE $FER_ATLAS"
-export FER_EXTERNAL_FUNCTIONS "$FER_EXTERNAL_FUNCTIONS $FER_ATLAS"
-export PATH {$FER_ATLAS}:{$PATH}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 305)
@@ -82,7 +82,9 @@
 typeset -r RSYNC_opt="-va"
 #"-Lt -v"
-#====================================================
-# Source Ferret
-. /home/${LOGIN}/.atlas_env_${HOST}_ksh
+
+#====================================================
+# Set environment tools (ferret, nco, cdo)
+#====================================================
+#. /home/${LOGIN}/.atlas_env_${HOST}_ksh
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 305)
@@ -83,5 +83,6 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 . /home/cont003/p86ipsl/.atlas_env_mercure01_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 305)
@@ -83,5 +83,6 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 . /home/cont003/p86ipsl/.atlas_env_mercure_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 305)
@@ -81,5 +81,6 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 . /home/users/brock/.atlas_env_asterix_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 305)
@@ -85,5 +85,6 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 . /home/cont003/p86ipsl/.atlas_env_platine_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 305)
@@ -85,5 +85,6 @@
 
 #====================================================
-# Source Ferret
+# Set environment tools (ferret, nco, cdo)
+#====================================================
 #. /home/cont003/p86ipsl/.atlas_env_titane_ksh
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 304)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 305)
@@ -85,20 +85,7 @@
 
 #====================================================
-# Source Ferret
-source /home/rech/psl/rpsl035/.atlas_env_ulam_bash
-
-#====================================================
-# Source tools
-#module load netcdf
-#module load nco
-#module load cdo
-
-export PATH=/usr/local/pub/NetCDF/3.6.3/bin:/usr/local/pub/cdo/1.3.0/bin:/usr/local/pub/nco/3.9.6/bin:$PATH
-
-#====================================================
-# Specific for ocean additionnal diagnostic
-#export FER_GO="$FER_GO /home/rech/ces/rces599/Cpl/TKE /home/rech/ces/rces599/Cpl/TKE/GO /home/rech/ces/rces452/IGCM_POST_UTIL/JNL"
-#export FER_PALETTE="$FER_PALETTE /home/rech/ces/rces599/Cpl/TKE/PALET"
-#export DISPLAY=:1
+# Set environment tools (ferret, nco, cdo)
+#====================================================
+. /home/rech/psl/rpsl035/.atlas_env_ulam_bash
 
 #====================================================