Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 315)
+++ trunk/libIGCM/AA_additionnal	(revision 316)
@@ -62,14 +62,14 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  ATL_ADD            # Nom du job
-#-Q- sx9mercure #PBS -m a                   # message si abort
-#-Q- sx9mercure #PBS -j o                   # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r ATL_ADD        # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 2              # Reservation du processus
+#-Q- sx9mercure #MSUB -c 4              # Reservation du core
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 315)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  ATL_LMDZ           # Nom du job
-#-Q- sx9mercure #PBS -m a                   # message si abort
-#-Q- sx9mercure #PBS -j o                   # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh        # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb       # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00  # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r ATL_LMDZ       # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 315)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  ATL_OPA             # Nom du job
-#-Q- sx9mercure #PBS -m a                   # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r ATL_OPA        # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 315)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  ATL_ORCH            # Nom du job
-#-Q- sx9mercure #PBS -m a                   # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r ATL_ORCH       # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 315)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  ATL_PIS             # Nom du job
-#-Q- sx9mercure #PBS -m a                   # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=2:00:00   # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r ATL_PIS        # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 315)
+++ trunk/libIGCM/AA_create_se	(revision 316)
@@ -60,14 +60,14 @@
 #-Q- sx8mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
 #-Q- sx8mercure #PBS -q scalaire
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N SE                   # Nom du job
-#-Q- sx9mercure #PBS -m a                    # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 1 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #!/bin/ksh
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r SE             # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 315)
+++ trunk/libIGCM/AA_create_ts	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N TS                   # Nom du job
-#-Q- sx9mercure #PBS -m a                    # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00   # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r TS             # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 315)
+++ trunk/libIGCM/AA_monitoring	(revision 316)
@@ -61,14 +61,13 @@
 #-Q- sx8mercure #PBS -q scalaire
 #-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
-#-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N  MONITORING          # Nom du job
-#-Q- sx9mercure #PBS -m a                    # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=1:00:00   # Limite temps a 2 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #########################
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
+#-Q- sx9mercure #########################
+#-Q- sx9mercure #MSUB -r MONITORING     # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- trunk/libIGCM/AA_rebuild_fromArchive	(revision 315)
+++ trunk/libIGCM/AA_rebuild_fromArchive	(revision 316)
@@ -62,13 +62,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
+#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N REBUILDARCH          # Nom du job
-#-Q- sx9mercure #PBS -m a                    # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #MSUB -r REBUILDARCH    # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 315)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 316)
@@ -63,13 +63,12 @@
 #-Q- sx9mercure #!/bin/ksh
 #-Q- sx9mercure ######################
-#-Q- sx9mercure ## SX9MERCURE   CEA ##
+#-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #PBS -N REBUILDWRK           # Nom du job
-#-Q- sx9mercure #PBS -m a                    # message si abort
-#-Q- sx9mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx9mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx9mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx9mercure #PBS -l cputim_job=24:00:00  # Limite temps a 1 heures
-#-Q- sx9mercure #PBS -q scalaire
+#-Q- sx9mercure #MSUB -r REBUILDWRK     # Nom du job                
+#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
+#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
+#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- sx9mercure #MSUB -E "-j o"
+#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
 #-Q- titane #!/bin/ksh
 #-Q- titane ######################
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 315)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 316)
@@ -23,5 +23,5 @@
 echo
 echo "===================================================="
-echo "Where do we run ?"
+echo "Where do we run ?" $( hostname )
 uname -a
 echo "===================================================="
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 315)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 316)
@@ -107,29 +107,29 @@
 #====================================================
 #- Mirror libIGCM from mercure to cesium if needed
-#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $2}' )
-#if [ ! ${ROOTSYS} = "home" ] ; then
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
-#else
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-#fi
+ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $2}' )
+if [ ! ${ROOTSYS} = "home" ] ; then
+    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+else
+    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+fi
 
 #====================================================
 #- libIGCM_POST
-#if ( ${MirrorlibIGCM} ) ; then
-#    PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
-#    typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
-#else
-#    typeset -r libIGCM_POST=${libIGCM}
-#fi
+if ( ${MirrorlibIGCM} ) ; then
+    PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+    typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
+else
+    typeset -r libIGCM_POST=${libIGCM}
+fi
 
 # ============ CESIUM  END  ============ #
 
 #====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-
-#====================================================
-#- libIGCM_POST
-typeset -r libIGCM_POST=${libIGCM}
+#- MirrorlibIGCM uncomment for frontend
+#typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+
+#====================================================
+#- libIGCM_POST uncomment for frontend
+#typeset -r libIGCM_POST=${libIGCM}
 
 #====================================================
@@ -191,28 +191,29 @@
 # ============ CESIUM START ============ #
 #    typeset NB_ESSAI DELAI status
-#    #nombre d'essai avant abandon
-#    NB_ESSAI=5
-#    #temps entre chaque essai
-#    DELAI=10
-#    i=0
-#    while [ $i -ne $NB_ESSAI ] ; do
-#        ssh -t mercure ssh cesium /bin/ksh ${@} 2>/dev/null
-#        status=$?
-#        if [ ${status} -ne 0 ];
-#        then
-#            sleep $DELAI
-#        else
-#            break
-#        fi
-#        let i=$i+1
-#    done 
+    #nombre d'essai avant abandon
+    NB_ESSAI=5
+    #temps entre chaque essai
+    DELAI=10
+    i=0
+    while [ $i -ne $NB_ESSAI ] ; do
+        ssh -t mercure01 ssh cesium /bin/ksh ${@} 
+        status=$?
+        if [ ${status} -ne 0 ];
+        then
+            sleep $DELAI
+        else
+            break
+        fi
+        let i=$i+1
+    done 
 # ============ CESIUM  END  ============ #
 
-
-    /bin/ksh ${@}
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_RshPost : erreur."
-	IGCM_debug_Exit "IGCM_sys_RshPost"
-    fi
+# Uncomment for frontend 
+#    /bin/ksh ${@}
+#    if [ $? -gt 0 ] ; then
+#	echo "IGCM_sys_RshPost : erreur."
+#	IGCM_debug_Exit "IGCM_sys_RshPost"
+#    fi
+
     IGCM_debug_PopStack "IGCM_sys_RshPost"
 }
@@ -243,4 +244,6 @@
     elif [ -f ~/.forward ] ; then
        mailx -s "${config_UserChoices_JobName} completed" $( cat ~/.forward ) < job_end.mail
+    else
+       mailx -s "${config_UserChoices_JobName} completed" ${LOGIN} < job_end.mail
     fi
 
@@ -520,7 +523,7 @@
     fi
     # ============ CESIUM START ============ #
-    #/usr/local/bin/ccc_msub -o ${POST_DIR}/$1.${PeriodDateEnd}.out -e ${POST_DIR}/$1.${PeriodDateEnd}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
+    /usr/local/bin/ccc_msub -o ${POST_DIR}/$1.${PeriodDateEnd}.out -e ${POST_DIR}/$1.${PeriodDateEnd}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
     # ============ CESIUM  END  ============ #
-    /usr/bin/nqsII/qsub -o ${POST_DIR}/$1.${PeriodDateEnd}.out ${libIGCM}/$1.job -v ${listVarEnv}
+    #/usr/bin/nqsII/qsub -o ${POST_DIR}/$1.${PeriodDateEnd}.out ${libIGCM}/$1.job -v ${listVarEnv}
     if [ $? -gt 0 ] ; then
 	echo "IGCM_sys_QsubPost : erreur " $@