Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 378)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 379)
@@ -407,26 +407,25 @@
 	
 	# Put correct climatological axis following calendar 
-	if [[ ${var_unlim} = time_counter ]] ; then
-		case ${config_UserChoices_CalendarType} in
-			360d)
-				# 360 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15, 45, 75, 105, 135, 165, 195, 225, 255, 285, 315, 345.} ; time_counter_bnds[time_counter,tbnds]={0, 30, 30, 60, 60, 90, 90, 120, 120, 150, 150, 180, 180, 210, 210, 240, 240, 270, 270, 300, 300, 330, 330, 360.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="360_day" ; time_counter@bounds="time_counter_bnds"' ${RESULT_MULTI_SE} tmp.nc
-				;;
-      			noleap)
-				# 365 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45, 74.5, 105, 135.5, 166, 196.5, 227.5, 258, 288.5, 319, 349.5} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 59, 59, 90, 90, 120, 120, 151, 151, 181, 181, 212, 212, 243, 243, 273, 273, 304, 304, 334, 334, 365.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="noleap" ; time_counter@bounds="time_counter_bnds"' ${RESULT_MULTI_SE} tmp.nc
-				;;
-			all_leap)
-				# 366 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45.5, 75.5, 106, 136.5, 167, 197.5, 228.5, 259, 289.5, 320, 350.5} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 60, 60, 91, 91, 121, 121, 152, 152, 182, 182, 213, 213, 244, 244, 274, 274, 305, 305, 335, 335, 366.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="all_leap" ; time_counter@bounds="time_counter_bnds"' ${RESULT_MULTI_SE} tmp.nc
-				;;
-			leap|gregorian)
-				# 365.2425 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45.12125, 74.7425, 105.2425, 135.7425, 166.2425, 196.7425, 227.7425, 258.2425, 288.7425, 319.2425, 349.7425} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 59.2425, 59.2425, 90.2425, 90.2425, 120.2425, 120.2425, 151.2425, 151.2425, 181.2425, 181.2425, 212.2425, 212.2425, 243.2425, 243.2425, 273.2425, 273.2425, 304.2425, 304.2425, 334.2425, 334.2425, 365.2425} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="gregorian" ; time_counter@bounds="time_counter_bnds"' ${RESULT_MULTI_SE} tmp.nc
-				;;
-		esac
-		IGCM_sys_Rm ${RESULT_MULTI_SE}
-		IGCM_sys_Mv tmp.nc ${RESULT_MULTI_SE}
-	fi
+	case ${config_UserChoices_CalendarType} in
+		360d)
+			# 360 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15, 45, 75, 105, 135, 165, 195, 225, 255, 285, 315, 345.} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 30, 30, 60, 60, 90, 90, 120, 120, 150, 150, 180, 180, 210, 210, 240, 240, 270, 270, 300, 300, 330, 330, 360.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"360_day\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+      		noleap)
+			# 365 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45, 74.5, 105, 135.5, 166, 196.5, 227.5, 258, 288.5, 319, 349.5} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 59, 59, 90, 90, 120, 120, 151, 151, 181, 181, 212, 212, 243, 243, 273, 273, 304, 304, 334, 334, 365.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"noleap\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+		all_leap)
+			# 366 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45.5, 75.5, 106, 136.5, 167, 197.5, 228.5, 259, 289.5, 320, 350.5} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 60, 60, 91, 91, 121, 121, 152, 152, 182, 182, 213, 213, 244, 244, 274, 274, 305, 305, 335, 335, 366.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"all_leap\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+		leap|gregorian)
+			# 365.2425 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45.12125, 74.7425, 105.2425, 135.7425, 166.2425, 196.7425, 227.7425, 258.2425, 288.7425, 319.2425, 349.7425} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 59.2425, 59.2425, 90.2425, 90.2425, 120.2425, 120.2425, 151.2425, 151.2425, 181.2425, 181.2425, 212.2425, 212.2425, 243.2425, 243.2425, 273.2425, 273.2425, 304.2425, 304.2425, 334.2425, 334.2425, 365.2425} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"gregorian\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+	esac
+	eval IGCM_sys_ncap2 -Oh -s $ncap2cmd ${RESULT_MULTI_SE} tmp.nc
+	IGCM_sys_Rm ${RESULT_MULTI_SE}
+	IGCM_sys_Mv tmp.nc ${RESULT_MULTI_SE}
 	#
 	eval IGCM_sys_Put_Out ${RESULT_MULTI_SE} \${R_OUT_${comp}}/Analyse/${DIR_OUT}/${RESULT_MULTI_SE}
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 378)
+++ /trunk/libIGCM/AA_create_se	(revision 379)
@@ -563,26 +563,25 @@
 
 	# Put correct climatological axis following calendar 
-	if [[ ${var_unlim} = time_counter ]] ; then
-		case ${config_UserChoices_CalendarType} in
-			360d)
-				# 360 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15, 45, 75, 105, 135, 165, 195, 225, 255, 285, 315, 345.} ; time_counter_bnds[time_counter,tbnds]={0, 30, 30, 60, 60, 90, 90, 120, 120, 150, 150, 180, 180, 210, 210, 240, 240, 270, 270, 300, 300, 330, 330, 360.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="360_day" ; time_counter@bounds="time_counter_bnds"' ${RESULT_SE} tmp.nc
-				;;
-      			noleap)
-				# 365 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45, 74.5, 105, 135.5, 166, 196.5, 227.5, 258, 288.5, 319, 349.5} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 59, 59, 90, 90, 120, 120, 151, 151, 181, 181, 212, 212, 243, 243, 273, 273, 304, 304, 334, 334, 365.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="noleap" ; time_counter@bounds="time_counter_bnds"' ${RESULT_SE} tmp.nc
-				;;
-			all_leap)
-				# 366 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45.5, 75.5, 106, 136.5, 167, 197.5, 228.5, 259, 289.5, 320, 350.5} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 60, 60, 91, 91, 121, 121, 152, 152, 182, 182, 213, 213, 244, 244, 274, 274, 305, 305, 335, 335, 366.} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="all_leap" ; time_counter@bounds="time_counter_bnds"' ${RESULT_SE} tmp.nc
-				;;
-			leap|gregorian)
-				# 365.2425 days
-				IGCM_sys_ncap2 -Oh -s 'defdim("tbnds",2) ; time_counter[time_counter]={15.5, 45.12125, 74.7425, 105.2425, 135.7425, 166.2425, 196.7425, 227.7425, 258.2425, 288.7425, 319.2425, 349.7425} ; time_counter_bnds[time_counter,tbnds]={0, 31, 31, 59.2425, 59.2425, 90.2425, 90.2425, 120.2425, 120.2425, 151.2425, 151.2425, 181.2425, 181.2425, 212.2425, 212.2425, 243.2425, 243.2425, 273.2425, 273.2425, 304.2425, 304.2425, 334.2425, 334.2425, 365.2425} ; time_counter@units="days since 0000-01-01 00:00:00" ; time_counter@time_origin="01-JAN 0000 00:00:00" ; time_counter@calendar="gregorian" ; time_counter@bounds="time_counter_bnds"' ${RESULT_SE} tmp.nc
-				;;
-		esac
-		IGCM_sys_Rm ${RESULT_SE}
-		IGCM_sys_Mv tmp.nc ${RESULT_SE}
-	fi
+	case ${config_UserChoices_CalendarType} in
+		360d)
+			# 360 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15, 45, 75, 105, 135, 165, 195, 225, 255, 285, 315, 345.} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 30, 30, 60, 60, 90, 90, 120, 120, 150, 150, 180, 180, 210, 210, 240, 240, 270, 270, 300, 300, 330, 330, 360.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"360_day\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+      		noleap)
+			# 365 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45, 74.5, 105, 135.5, 166, 196.5, 227.5, 258, 288.5, 319, 349.5} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 59, 59, 90, 90, 120, 120, 151, 151, 181, 181, 212, 212, 243, 243, 273, 273, 304, 304, 334, 334, 365.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"noleap\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+		all_leap)
+			# 366 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45.5, 75.5, 106, 136.5, 167, 197.5, 228.5, 259, 289.5, 320, 350.5} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 60, 60, 91, 91, 121, 121, 152, 152, 182, 182, 213, 213, 244, 244, 274, 274, 305, 305, 335, 335, 366.} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"all_leap\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+		leap|gregorian)
+			# 365.2425 days
+			ncap2cmd="'defdim(\"tbnds\",2) ; ${var_unlim}[${var_unlim}]={15.5, 45.12125, 74.7425, 105.2425, 135.7425, 166.2425, 196.7425, 227.7425, 258.2425, 288.7425, 319.2425, 349.7425} ; ${var_unlim}_bnds[${var_unlim},tbnds]={0, 31, 31, 59.2425, 59.2425, 90.2425, 90.2425, 120.2425, 120.2425, 151.2425, 151.2425, 181.2425, 181.2425, 212.2425, 212.2425, 243.2425, 243.2425, 273.2425, 273.2425, 304.2425, 304.2425, 334.2425, 334.2425, 365.2425} ; ${var_unlim}@units=\"days since 0000-01-01 00:00:00\" ; ${var_unlim}@time_origin=\"01-JAN 0000 00:00:00\" ; ${var_unlim}@calendar=\"gregorian\" ; ${var_unlim}@bounds=\"${var_unlim}_bnds\"'"
+			;;
+	esac
+	eval IGCM_sys_ncap2 -Oh -s $ncap2cmd ${RESULT_MULTI_SE} tmp.nc
+	IGCM_sys_Rm ${RESULT_SE}
+	IGCM_sys_Mv tmp.nc ${RESULT_SE}
 	#
 	eval IGCM_sys_Put_Out ${RESULT_SE} \${R_OUT_${comp}}/Analyse/SE/${RESULT_SE}